Bug 452204 (CVE-2008-2785) - CVE-2008-2785 mozilla: CSS reference counter overflow (ZDI-CAN-349)
Summary: CVE-2008-2785 mozilla: CSS reference counter overflow (ZDI-CAN-349)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-2785
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
: 452197 (view as bug list)
Depends On: 454484 455415 455416
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 07:57 UTC by Tomas Hoger
Modified: 2019-09-29 12:24 UTC (History)
9 users (show)

Fixed In Version: 1.9.0.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-18 08:16:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0597 normal SHIPPED_LIVE Critical: firefox security update 2008-07-16 23:27:06 UTC
Red Hat Product Errata RHSA-2008:0598 normal SHIPPED_LIVE Critical: firefox security update 2008-07-16 17:29:37 UTC
Red Hat Product Errata RHSA-2008:0599 normal SHIPPED_LIVE Critical: seamonkey security update 2008-07-17 00:11:09 UTC
Red Hat Product Errata RHSA-2008:0616 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-07-24 00:00:04 UTC

Description Tomas Hoger 2008-06-20 07:57:14 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2785 to the following vulnerability:

Unspecified vulnerability in Firefox 3.0 and 2.0.x has unknown impact and remote attack vectors, aka ZDI-CAN-349.

Refences:
http://dvlabs.tippingpoint.com/blog/2008/06/18/vulnerability-in-mozilla-firefox-30
http://www.securityfocus.com/bid/29802
http://www.frsirt.com/english/advisories/2008/1873
http://secunia.com/advisories/30761
http://xforce.iss.net/xforce/xfdb/43167

Comment 3 Tomas Hoger 2008-06-20 08:04:25 UTC
*** Bug 452197 has been marked as a duplicate of this bug. ***

Comment 7 Tomas Hoger 2008-07-16 07:13:37 UTC
Now fixed upstream in MFSA 2008-34

http://www.mozilla.org/security/announce/2008/mfsa2008-34.html

Fixed in versions:
  Firefox 3.0.1
  Firefox 2.0.0.16
  Thunderbird 2.0.0.16
  SeaMonkey 1.1.11

Comment 9 Fedora Update System 2008-07-18 08:05:23 UTC
xulrunner-1.9.0.1-1.fc9, epiphany-extensions-2.22.1-3.fc9, firefox-3.0.1-1.fc9, epiphany-2.22.2-3.fc9, yelp-2.22.1-4.fc9, devhelp-0.19.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-07-18 08:06:18 UTC
seamonkey-1.1.11-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-07-18 08:06:35 UTC
chmsee-1.0.0-3.31.fc8, gnome-web-photo-0.3-12.fc8, openvrml-0.17.6-6.fc8, gnome-python2-extras-2.19.1-16.fc8, gtkmozembedmm-1.4.2.cvs20060817-22.fc8, epiphany-2.20.3-6.fc8, firefox-2.0.0.16-1.fc8, galeon-2.0.4-4.fc8.3, Miro-1.2.3-3.fc8, yelp-2.20.0-11.fc8, cairo-dock-1.6.1.1-1.fc8.1, epiphany-extensions-2.20.1-9.fc8, kazehakase-0.5.4-2.fc8.3, blam-1.8.3-17.fc8, devhelp-0.16.1-9.fc8, liferea-1.4.15-3.fc8, ruby-gnome2-0.17.0-0.3.rc1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-07-18 08:07:35 UTC
seamonkey-1.1.11-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Mark J. Cox 2008-07-23 15:13:09 UTC
Changing public= date to the date the Mozilla advisory came out as the were no
public details prior to that about this issue (and our public= date is defined
as the date the issue is known to the public)

Comment 15 Fedora Update System 2008-08-07 23:54:13 UTC
thunderbird-2.0.0.16-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2008-08-07 23:56:29 UTC
thunderbird-2.0.0.16-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.